{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "PAGE.CAPTION.TEST.USR11279815MOBCUSTOMVIEW"
  },
  "caption" : "面板容器测试",
  "codeName" : "TESTUsr11279815MobCustomView",
  "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/TESTUsr11279815MobCustomView.json",
  "name" : "TESTUsr11279815MobCustomView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Mob/PSAPPMODULES/Test.json"
  },
  "getPSDEViewCodeName" : "Usr11279815MobCustomView",
  "getPSDEViewId" : "08BE216C-7210-4BD7-88C9-E67A71944FD9",
  "getPSViewLayoutPanel" : {
    "getAllPSPanelFields" : [ {
      "id" : "field_text_dynamic",
      "viewFieldName" : "testname"
    }, {
      "id" : "field_text_dynamic1",
      "viewFieldName" : "type"
    } ],
    "codeName" : "Usr1127982273",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "FLEX",
    "logicName" : "面板容器测试布局面板",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getRootPSPanelItems" : [ {
      "caption" : "多项数据容器",
      "dataRegionType" : "MULTIDATA",
      "dataSourceType" : "DEDATASET",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container_multidata",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container",
        "getPSLayout" : {
          "align" : "space-between",
          "dir" : "row",
          "layout" : "FLEX",
          "vAlign" : "center"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "文本(动态)",
          "fieldStates" : 1,
          "itemStyle" : "DEFAULT",
          "itemType" : "FIELD",
          "name" : "field_text_dynamic",
          "getPSEditor" : {
            "editorParams" : {
              "READONLY" : "TRUE"
            },
            "editorType" : "SPAN",
            "name" : "field_text_dynamic",
            "predefinedType" : "FIELD_TEXT_DYNAMIC",
            "renderMode" : "TEXT_DYNAMIC",
            "enableLinkView" : false,
            "readOnly" : true
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "viewFieldName" : "testname"
        }, {
          "caption" : "文本(动态)",
          "itemStyle" : "DEFAULT",
          "itemType" : "FIELD",
          "name" : "field_text_dynamic1",
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "field_text_dynamic1",
            "predefinedType" : "FIELD_TEXT_DYNAMIC",
            "renderMode" : "TEXT_DYNAMIC",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "viewFieldName" : "type"
        } ]
      } ],
      "predefinedType" : "CONTAINER_MULTIDATA"
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "mobilePanel" : true,
    "useDefaultLayout" : false,
    "viewProxyMode" : true,
    "modelid" : "3A58C1F6-1437-4FB8-B885-652941266387",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL",
    "getPSControls" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "PAGE.CAPTION.TEST.USR11279815MOBCUSTOMVIEW"
      },
      "caption" : "面板容器测试",
      "codeName" : "Usr11279815MobCustomViewcaptionbar",
      "controlType" : "CAPTIONBAR",
      "name" : "captionbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlParam" : { }
    } ]
  },
  "title" : "面板容器测试",
  "getTitlePSLanguageRes" : {
    "lanResTag" : "PAGE.TITLE.TEST.USR11279815MOBCUSTOMVIEW"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DEMOBCUSTOMVIEW",
  "enableDP" : true,
  "enablePullDownRefresh" : false,
  "modelid" : "cf84358498d722f1a57e0950d280252e",
  "modeltype" : "PSAPPDEVIEW"
}